package com.tencent.mm.plugin.webview.modeltools;

import android.os.Looper;
import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.g.d;
import com.tencent.mm.sdk.platformtools.ak;
import com.tencent.mm.sdk.platformtools.ak.a;
import com.tencent.mm.ui.widget.MMWebView;

public final class h {
    ak iGP = new ak(Looper.getMainLooper(), this.upt);
    MMWebView upq;
    public String upr;
    c ups;
    private a upt = new 1(this);

    public h() {
        AppMethodBeat.i(7011);
        AppMethodBeat.o(7011);
    }

    public final void a(MMWebView mMWebView, c cVar) {
        AppMethodBeat.i(7012);
        this.upq = mMWebView;
        this.ups = cVar;
        this.iGP.sendEmptyMessage(1);
        AppMethodBeat.o(7012);
    }

    public final void cYK() {
        AppMethodBeat.i(7013);
        d.post(new a(this, (byte) 0), "ViewCaptureHelper_DeleteBitmap");
        AppMethodBeat.o(7013);
    }
}
